%define major   1
%define libname %mklibname xshmfence %major
%define devname %mklibname xshmfence -d

Name:           libxshmfence
Version:        1.3.3
Release:        %mkrel 2
Summary:        X11 shared memory fences
Group:          System/X11

License:        MIT
URL:            https://www.x.org/
Source0:        https://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires:  x11-util-macros
BuildRequires:  pkgconfig(xproto)

%description
Shared memory fences for X11, as used in DRI3.

%package        -n %libname
Summary:        X11 shared memory fences
Group:          System/X11

%description    -n %libname
Shared memory fences for X11, as used in DRI3.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %devname
The %devname package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %libname
%{_libdir}/libxshmfence.so.%{major}{,.*}

%files -n %devname
%{_includedir}/*
%{_libdir}/pkgconfig/xshmfence.pc
%{_libdir}/*.so



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.3.3-2.mga10
+ Revision: 2233472
- Mageia 10 Mass Rebuild

* Wed Jan 01 2025 daviddavid <daviddavid> 1.3.3-1.mga10
+ Revision: 2134636
- new version: 1.3.3

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.3.2-1.mga9
+ Revision: 1919982
- 1.3.2

* Sun Oct 23 2022 tv <tv> 1.3.1-1.mga9
+ Revision: 1898635
- 1.3.1

* Wed Mar 16 2022 umeabot <umeabot> 1.3-4.mga9
+ Revision: 1794516
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.3-3.mga8
+ Revision: 1514675
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3-2.mga7
+ Revision: 1299271
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 1.3-1.mga7
+ Revision: 1208299
- new release

* Fri Feb 12 2016 pterjan <pterjan> 1.2-2.mga6
+ Revision: 956017
- Use configure2_5x
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.2-1.mga6
+ Revision: 837474
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 747230
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 681899
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 tv <tv> 1.1-1.mga5
+ Revision: 582748
- imported package libxshmfence


* Wed Feb 05 2014 Thierry Vignaud <tv@mageia.org> 1.1-1.mga5
- initial release (based on FC)
